import { Controller, Get, Post, Put, Query } from '@nestjs/common';
import { EquipoService } from './equipo.service';
import { EquipoDto } from './dto/equipo.dto';
import { ApiOperation, ApiTags } from '@nestjs/swagger';

@Controller('equipo')
@ApiTags('equipo')
export class EquipoController {
  constructor(private equipoService: EquipoService) {}

  @Get()
  @ApiOperation({
    description: 'Traemos todos los equipos',
  })
  get() {
    return this.equipoService.findAll();
  }

  @Get('equipo')
  @ApiOperation({
    description: 'Buscamos un equipo en base al id_equipo',
  })
  equipo(@Query() query: EquipoDto) {
    return this.equipoService.findById(parseInt(query.id_equipo));
  }

  // Terminar uwu
  @Get('equipos')
  equiposs() {}

  // Terminar uwu
  @Put()
  update() {}
}
