import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { EquipoProgramaController } from './equipo-programa.controller';
import { EquipoProgramaService } from './equipo-programa.service';
import { EquipoPrograma } from './entity/equipo-programa.entity';

@Module({
  imports: [TypeOrmModule.forFeature([EquipoPrograma])],
  controllers: [EquipoProgramaController],
  providers: [EquipoProgramaService],
})
export class EquipoProgramaModule {}
