import { Controller, Get, Query } from '@nestjs/common';
import { InstitucionCarreraService } from './institucion-carrera.service';
import { InstitucionCarreraDto } from './dto/institucion-carrera.dto';

@Controller('institucion-carrera')
export class InstitucionCarreraController {
  constructor(private institucionCarreraService: InstitucionCarreraService) {}

  @Get()
  get(@Query() query: InstitucionCarreraDto) {
    return this.institucionCarreraService.findAllByIdInstitucion(
      parseInt(query.id_institucion),
    );
  }
}
